# istream_iterator Class Template Reference

Inheritance diagram for istream_iterator:

List of all members.

### template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t>
class std::istream_iterator< _Tp, _CharT, _Traits, _Dist >

## Public Types

- typedef _CharT char_type
- typedef _Dist difference_type
- typedef basic_istream< _CharT,
  _Traits > istream_type
- typedef input_iterator_tag iterator_category
- typedef const _Tp * pointer
- typedef const _Tp & reference
- typedef _Traits traits_type
- typedef _Tp value_type

## Public Member Functions

- bool _M_equal (const istream_iterator &__x) const
- istream_iterator (const istream_iterator &__obj)
- istream_iterator (istream_type &__s)
- istream_iterator ()
- const _Tp & operator * () const
- istream_iterator operator++ (int)
- istream_iterator & operator++ ()
- const _Tp * operator-> () const

## Member Typedef Documentation

typedef _Dist difference_type `[inherited]`

| Distance between iterators is represented as this type. Definition at line 113 of file stl_iterator_base_types.h.

typedef input_iterator_tag iterator_category `[inherited]`

| One of the tag types. Definition at line 109 of file stl_iterator_base_types.h.

typedef const _Tp * pointer `[inherited]`

| This type represents a pointer-to-value_type. Definition at line 115 of file stl_iterator_base_types.h.

typedef const _Tp & reference `[inherited]`

| This type represents a reference-to-value_type. Definition at line 117 of file stl_iterator_base_types.h.

typedef _Tp value_type `[inherited]`

| The type "pointed to" by the iterator. Definition at line 111 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

istream_iterator | ( |  | ) | `[inline]`

| Construct end of input stream iterator. Definition at line 62 of file stream_iterator.h.

istream_iterator | ( | istream_type & | __s | ) | `[inline]`

| Construct start of input stream iterator. Definition at line 66 of file stream_iterator.h.

The documentation for this class was generated from the following file:

- stream_iterator.h